Skip to main content
GET
/
api
/
v1
/
backchannel
/
topics
/
{id}
cURL
curl --request GET \
  --url https://tilt.io/api/v1/backchannel/topics/{id} \
  --header 'Authorization: Bearer <token>'
{
  "topic_id": "<string>",
  "title": "<string>",
  "short_description": "<string>",
  "long_summary": "<string>",
  "key_events": [
    {
      "date": "<string>",
      "title": "<string>",
      "description": "<string>"
    }
  ],
  "created_datetime": "<string>",
  "last_updated_datetime": "<string>",
  "article_count": 123,
  "articles": [
    {
      "article_id": "<string>",
      "headline": "<string>",
      "date": "<string>",
      "source": "<string>",
      "content": "<string>"
    }
  ],
  "tilt_asset_ids": [
    "<string>"
  ],
  "future_scenarios": [
    {
      "probability": 50,
      "title": "<string>",
      "description": "<string>",
      "sub_scenarios": [
        {}
      ],
      "macro_shocks": [
        {
          "indicator": "<string>",
          "impact": 123
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Query Parameters

include_articles
boolean
include_content
boolean

Response

200 - application/json

Get single news topic

topic_id
string
required
title
string
required
short_description
string
required
long_summary
string
required
key_events
object[]
required
created_datetime
string
required
last_updated_datetime
string
required
article_count
integer
required
articles
object[]
required
tilt_asset_ids
string[]
required
future_scenarios
object[] | null